function [a] = vyslednyVektor(x,y,z,cas,logGraf)
% vyslednyVektor - funkce, která ze vstupních signálů, které reprezentují
%                  měřené zrychlení postupně v osách x, y, z, vytvoří jeden signál výstupní
%                  reprezentující orientaci vektoru zrychlení v prostoru
%              x - signál měřeného zrychlení v ose x
%              y - signál měřeného zrychlení v ose y
%              z - signál měřeného zrychlení v ose z
%            cas - časová posloupnost
%        logGraf - 0 nebo 1, podle toho, zda chceme vykreslit zrychlení do grafu
%              a - posloupnost celkové velikosti zrychlení


%% Výpočet:
a = sqrt(x.^2 + y.^2 + z.^2);

%% Vykreslení průběhu:
mezX = cas(end) + 1;
mezYPlus = max(a) + 3;
mezYMinus = min(a) - 3;

if logGraf == 1
figure
plot(cas,a)
title('Výsledné zrychlení')
xlabel('Čas [s]')
ylabel('Zrychlení [m.s^{-2}]')
xlim([0,mezX])
ylim([mezYMinus,mezYPlus])
end
end